!R1210-R1214,R1220
subroutine p()
!error: actual a is not matched with dummy arg x
a=p1(a)
end
!error: function p is recursively used
function  p1(x)
integer x
call p2()
end

!error: subroutine dd and p2 is called recursively
subroutine dd()
entry  p2()
	call p
end
